Subject: asynchronous audio conferencing at www.wimba.com

From: James Salsman <[email-masked]>
Date: Mon, 22 May 2000 06:01:10 -0700 (PDT)

There is finally a cross-platform, quasi-web-based system for 
asynchronous audio conferencing:

  http://www.wimba.com

This system is new and worth exploring.  It uses Java applets 
for microphone input, and has a full range of features already. 

The great benefit is the enabling of asynchronous ("any time, any 
place") spoken language instruction.  Previously there have been 
no real solutions for that need.

"Wimba.com is led by Professor Keith Ross, formerly professor at 
the University of Pennsylvania (Engineering and Wharton Schools) 
and professor in the multimedia communications department at 
Institut Eurécom." (France)

Cheers,
James